"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var styles = {
  "dialogueModal": "dialogueModal--2SABp",
  "dialogueModalHeader": "dialogueModalHeader--13_C3",
  "dialogueModalHeaderWhite": "dialogueModalHeaderWhite--vQ5ue",
  "dialogueModalHeaderTitle": "dialogueModalHeaderTitle--23aaT",
  "dialogueModalCloseIcon": "dialogueModalCloseIcon--LhHIn",
  "dialogueModalHeaderIcon": "dialogueModalHeaderIcon--UN0og",
  "bgIcon": "bgIcon--3TmcD",
  "dialogueModalBodyText": "dialogueModalBodyText--1wD0n",
  "dialogueModalBtn": "dialogueModalBtn--z2EbW",
  "dialogueModalBtnInactive": "dialogueModalBtnInactive--2ipyv",
  "dialogueModalBtnRedText": "dialogueModalBtnRedText--2LqIU",
  "dialogueModalBtnBlueText": "dialogueModalBtnBlueText--3Nred",
  "dialogueModalBtnRedBg": "dialogueModalBtnRedBg--10Imo",
  "dialogueModalBtnGreenBg": "dialogueModalBtnGreenBg--eeyze",
  "dialogueModalBtnLightGrayBg": "dialogueModalBtnLightGrayBg--3G33N",
  "dialogueModalWide": "dialogueModalWide--3tSpe",
  "dialogueModalActionBtn": "dialogueModalActionBtn--2q4_H",
  "dialogueModalActionBtnRed": "dialogueModalActionBtnRed--3vjGl",
  "dialogueModalExitBtn": "dialogueModalExitBtn--3UpU-",
  "dialogueModalTitleText": "dialogueModalTitleText--wCb67",
  "dialogueModalBodySubtext": "dialogueModalBodySubtext--20843",
  "dialogueModalNoBtn": "dialogueModalNoBtn--3G1IS",
  "dialogueModalLongBtn": "dialogueModalLongBtn--1p4yx",
  "dialogueModalBackdrop": "dialogueModalBackdrop--m_Ed6"
}; // @related-file ./styles.css

var propTypes = {
  actionButtonLabel: _propTypes.default.string,
  body: _propTypes.default.string,
  cancelButtonLabel: _propTypes.default.string,
  onClickActionButton: _propTypes.default.func.isRequired,
  onClickCancelButton: _propTypes.default.func.isRequired,
  title: _propTypes.default.string
};
var defaultProps = {
  actionButtonLabel: '',
  body: '',
  cancelButtonLabel: '',
  title: ''
};

function ConfirmationModal(_ref) {
  var title = _ref.title,
      actionButtonLabel = _ref.actionButtonLabel,
      cancelButtonLabel = _ref.cancelButtonLabel,
      body = _ref.body,
      onClickActionButton = _ref.onClickActionButton,
      onClickCancelButton = _ref.onClickCancelButton;
  var modalClassNames = (0, _classnames.default)('ciscospark-dialogue-modal', styles.dialogueModal);
  var actionBtnClassNames = (0, _classnames.default)('dialogue-modal-btn', 'dialogue-modal-action-btn', styles.dialogueModalBtn, styles.dialogueModalActionBtn);
  var cancelBtnClassNames = (0, _classnames.default)('dialogue-modal-btn', 'dialogue-modal-exit-btn', styles.dialogueModalBtn, styles.dialogueModalExitBtn);
  return _react.default.createElement("div", null, _react.default.createElement("div", {
    className: modalClassNames
  }, _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-dialogue-modal-body', styles.dialogModalBody)
  }, _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-dialogue-modal-title-text', styles.dialogueModalTitleText)
  }, title), _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-dialogue-modal-body-subtext', styles.dialogueModalBodySubtext)
  }, body), _react.default.createElement("button", {
    className: actionBtnClassNames,
    onClick: onClickActionButton,
    title: actionButtonLabel
  }, actionButtonLabel), _react.default.createElement("button", {
    className: cancelBtnClassNames,
    onClick: onClickCancelButton,
    title: cancelButtonLabel
  }, cancelButtonLabel))), _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-dialogue-modal-backdrop', styles.dialogueModalBackdrop)
  }));
}

ConfirmationModal.propTypes = propTypes;
ConfirmationModal.defaultProps = defaultProps;
var _default = ConfirmationModal;
exports.default = _default;