import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

function styleInject(css, ref) {
  if (ref === void 0) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') {
    return;
  }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css = ".react-component-confirmation-modal__dialogueModal__LmRpYWxv {\n  position: absolute;\n  top: 50%;\n  left: 50%;\n  z-index: 9;\n  display: flex;\n  max-width: 350px;\n  min-height: 150px;\n  margin: -75px 0 0 -175px;\n  font: CiscoSans, 'Helvetica Neue', Arial;\n  font-size: 16px;\n  font-weight: 200;\n  background-color: #fefefe;\n  box-shadow: 0 17px 50px 0 #000;\n}\n\n.react-component-confirmation-modal__dialogueModalHeader__LmRpYWxv {\n  padding: 10px 13px 5px;\n  color: #fefefe;\n  background-color: #049fd9;\n}\n\n.react-component-confirmation-modal__dialogueModalHeader__LmRpYWxv.react-component-confirmation-modal__dialogueModalHeaderWhite__LmRpYWxv {\n  font-size: 12px;\n  color: #858688;\n  background-color: #fefefe;\n}\n\n.react-component-confirmation-modal__dialogueModalHeader__LmRpYWxv.react-component-confirmation-modal__dialogueModalHeaderWhite__LmRpYWxv .react-component-confirmation-modal__dialogueModalHeaderTitle__LmRpYWxv {\n  display: inline;\n}\n\n.react-component-confirmation-modal__dialogueModalHeader__LmRpYWxv.react-component-confirmation-modal__dialogueModalHeaderWhite__LmRpYWxv .react-component-confirmation-modal__dialogueModalCloseIcon__LmRpYWxv {\n  color: #858688;\n}\n\n.react-component-confirmation-modal__dialogueModalHeaderIcon__LmRpYWxv {\n  font-size: 19px;\n}\n\n.react-component-confirmation-modal__dialogueModalHeader__LmRpYWxv .react-component-confirmation-modal__bgIcon__LmRpYWxv {\n  display: inline-block;\n  width: 18px;\n  height: 18px;\n  background-size: contain;\n}\n\n.react-component-confirmation-modal__dialogueModalHeaderTitle__LmRpYWxv {\n  display: inline-block;\n  width: 80%;\n  margin-left: 0.5rem;\n  vertical-align: top;\n}\n\n.react-component-confirmation-modal__dialogueModalCloseIcon__LmRpYWxv {\n  float: right;\n  font-size: 15px;\n  color: #fefefe;\n  cursor: pointer;\n  background-color: transparent;\n  border: none;\n}\n\n.react-component-confirmation-modal__dialogueModalBodyText__LmRpYWxv {\n  padding: 30px 23px;\n  font-family: CiscoSans, 'Helvetica Neue', Arial;\n}\n\n.react-component-confirmation-modal__dialogueModalBtn__LmRpYWxv {\n  width: 50%;\n  padding: 10px;\n  font-family: CiscoSans, 'Helvetica Neue', Arial;\n  font-size: 15px;\n  cursor: pointer;\n  background-color: #fefefe;\n  border: 1px;\n  border-top: 1px solid #d7d7d8;\n  border-right: 1px solid #d7d7d8;\n  border-radius: 0;\n  outline: none;\n}\n\n.react-component-confirmation-modal__dialogueModalBtn__LmRpYWxv:hover {\n  background-color: #aeaeaf;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnInactive__LmRpYWxv {\n  color: #aeaeaf;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnRedText__LmRpYWxv {\n  color: #e25a4b;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnBlueText__LmRpYWxv {\n  color: #049fd9;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnRedBg__LmRpYWxv {\n  color: #fefefe;\n  background-color: #ff513d;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnRedBg__LmRpYWxv:hover {\n  background-color: #f04734;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnGreenBg__LmRpYWxv {\n  color: #fefefe;\n  background-color: #30d557;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnGreenBg__LmRpYWxv:hover {\n  background-color: #2ac44f;\n}\n\n.react-component-confirmation-modal__dialogueModalBtnLightGrayBg__LmRpYWxv,\n.react-component-confirmation-modal__dialogueModalBtnLightGrayBg__LmRpYWxv:hover {\n  background-color: #858688;\n}\n\n.react-component-confirmation-modal__dialogueModalWide__LmRpYWxv {\n  width: 380px;\n  padding: 0;\n}\n\n.react-component-confirmation-modal__dialogueModalActionBtn__LmRpYWxv {\n  font-family: CiscoSans, 'Helvetica Neue', Arial;\n  color: #049fd9;\n}\n\n.react-component-confirmation-modal__dialogueModalActionBtn__LmRpYWxv:hover,\n.react-component-confirmation-modal__dialogueModalActionBtn__LmRpYWxv:active {\n  color: #fefefe;\n  background-color: #049fd9;\n}\n\n.react-component-confirmation-modal__dialogueModalActionBtnRed__LmRpYWxv {\n  color: #ff513d;\n}\n\n.react-component-confirmation-modal__dialogueModalActionBtnRed__LmRpYWxv:hover {\n  color: #fefefe;\n  background-color: #ff513d;\n}\n\n.react-component-confirmation-modal__dialogueModalActionBtnRed__LmRpYWxv:active {\n  color: #fefefe;\n  background-color: #f04734;\n}\n\n.react-component-confirmation-modal__dialogueModalExitBtn__LmRpYWxv {\n  font-family: CiscoSans, 'Helvetica Neue', Arial;\n  font-weight: 200;\n  color: #858688;\n}\n\n.react-component-confirmation-modal__dialogueModalTitleText__LmRpYWxv {\n  height: 32px;\n  margin-top: 16px;\n  font-family: CiscoSans, 'Helvetica Neue', Arial;\n  font-size: 20px;\n  font-weight: 200;\n  line-height: 1.6;\n  color: #858688;\n  text-align: center;\n}\n\n.react-component-confirmation-modal__dialogueModalBodySubtext__LmRpYWxv {\n  margin: 16px 24px 32px;\n  font-family: CiscoSans, 'Helvetica Neue', Arial;\n  font-size: 14px;\n  font-weight: 200;\n  line-height: 1.71;\n  color: #858688;\n  text-align: center;\n}\n\n.react-component-confirmation-modal__dialogueModalNoBtn__LmRpYWxv {\n  visibility: hidden;\n}\n\n.react-component-confirmation-modal__dialogueModalLongBtn__LmRpYWxv {\n  width: 100%;\n}\n\n.react-component-confirmation-modal__dialogueModalBackdrop__LmRpYWxv {\n  position: absolute;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  z-index: 8;\n  background-color: #000;\n  opacity: 0.6;\n}\n";
var styles = {"dialogueModal":"react-component-confirmation-modal__dialogueModal__LmRpYWxv","dialogueModalHeader":"react-component-confirmation-modal__dialogueModalHeader__LmRpYWxv","dialogueModalHeaderWhite":"react-component-confirmation-modal__dialogueModalHeaderWhite__LmRpYWxv","dialogueModalHeaderTitle":"react-component-confirmation-modal__dialogueModalHeaderTitle__LmRpYWxv","dialogueModalCloseIcon":"react-component-confirmation-modal__dialogueModalCloseIcon__LmRpYWxv","dialogueModalHeaderIcon":"react-component-confirmation-modal__dialogueModalHeaderIcon__LmRpYWxv","bgIcon":"react-component-confirmation-modal__bgIcon__LmRpYWxv","dialogueModalBodyText":"react-component-confirmation-modal__dialogueModalBodyText__LmRpYWxv","dialogueModalBtn":"react-component-confirmation-modal__dialogueModalBtn__LmRpYWxv","dialogueModalBtnInactive":"react-component-confirmation-modal__dialogueModalBtnInactive__LmRpYWxv","dialogueModalBtnRedText":"react-component-confirmation-modal__dialogueModalBtnRedText__LmRpYWxv","dialogueModalBtnBlueText":"react-component-confirmation-modal__dialogueModalBtnBlueText__LmRpYWxv","dialogueModalBtnRedBg":"react-component-confirmation-modal__dialogueModalBtnRedBg__LmRpYWxv","dialogueModalBtnGreenBg":"react-component-confirmation-modal__dialogueModalBtnGreenBg__LmRpYWxv","dialogueModalBtnLightGrayBg":"react-component-confirmation-modal__dialogueModalBtnLightGrayBg__LmRpYWxv","dialogueModalWide":"react-component-confirmation-modal__dialogueModalWide__LmRpYWxv","dialogueModalActionBtn":"react-component-confirmation-modal__dialogueModalActionBtn__LmRpYWxv","dialogueModalActionBtnRed":"react-component-confirmation-modal__dialogueModalActionBtnRed__LmRpYWxv","dialogueModalExitBtn":"react-component-confirmation-modal__dialogueModalExitBtn__LmRpYWxv","dialogueModalTitleText":"react-component-confirmation-modal__dialogueModalTitleText__LmRpYWxv","dialogueModalBodySubtext":"react-component-confirmation-modal__dialogueModalBodySubtext__LmRpYWxv","dialogueModalNoBtn":"react-component-confirmation-modal__dialogueModalNoBtn__LmRpYWxv","dialogueModalLongBtn":"react-component-confirmation-modal__dialogueModalLongBtn__LmRpYWxv","dialogueModalBackdrop":"react-component-confirmation-modal__dialogueModalBackdrop__LmRpYWxv"};
styleInject(css);

const propTypes = {
  actionButtonLabel: PropTypes.string,
  body: PropTypes.string,
  cancelButtonLabel: PropTypes.string,
  onClickActionButton: PropTypes.func.isRequired,
  onClickCancelButton: PropTypes.func.isRequired,
  title: PropTypes.string
};
const defaultProps = {
  actionButtonLabel: '',
  body: '',
  cancelButtonLabel: '',
  title: ''
};

function ConfirmationModal({
  title,
  actionButtonLabel,
  cancelButtonLabel,
  body,
  onClickActionButton,
  onClickCancelButton
}) {
  const modalClassNames = classNames('ciscospark-dialogue-modal', styles.dialogueModal);
  const actionBtnClassNames = classNames('dialogue-modal-btn', 'dialogue-modal-action-btn', styles.dialogueModalBtn, styles.dialogueModalActionBtn);
  const cancelBtnClassNames = classNames('dialogue-modal-btn', 'dialogue-modal-exit-btn', styles.dialogueModalBtn, styles.dialogueModalExitBtn);
  return React.createElement("div", null, React.createElement("div", {
    className: modalClassNames
  }, React.createElement("div", {
    className: classNames('ciscospark-dialogue-modal-body', styles.dialogModalBody)
  }, React.createElement("div", {
    className: classNames('ciscospark-dialogue-modal-title-text', styles.dialogueModalTitleText)
  }, title), React.createElement("div", {
    className: classNames('ciscospark-dialogue-modal-body-subtext', styles.dialogueModalBodySubtext)
  }, body), React.createElement("button", {
    className: actionBtnClassNames,
    onClick: onClickActionButton,
    title: actionButtonLabel
  }, actionButtonLabel), React.createElement("button", {
    className: cancelBtnClassNames,
    onClick: onClickCancelButton,
    title: cancelButtonLabel
  }, cancelButtonLabel))), React.createElement("div", {
    className: classNames('ciscospark-dialogue-modal-backdrop', styles.dialogueModalBackdrop)
  }));
}

ConfirmationModal.propTypes = propTypes;
ConfirmationModal.defaultProps = defaultProps;

export default ConfirmationModal;
//# sourceMappingURL=index.js.map
